Subject: Re: Mutter build failure

From: Andreas Enge <[email-masked]>
Date: Thu, 13 Mar 2025 11:46:30 +0100

Hello,

Am Thu, Mar 13, 2025 at 10:43:25AM +0900 schrieb Maxim Cournoyer:
> CI has a substitute for it; don't you use substitutes from Berlin as
> well as Bordeaux? (that is the default).

no, since I am offloading to a machine that is also part of the bordeaux
build farm, I have to avoid mixing the substitutes.

> Are you able to reproduce at will?  Could you please share the detailed
> output of the error; you've posted only the summary of the test suite.

It seems to happen systematically on two laptops on which I have tried.
The error message of the failing test is below.

Andreas

116/191 mutter:clutter+clutter/conform / gesture                                                       RUNNING       
>>> G_TEST_BUILDDIR=/tmp/guix-build-mutter-46.8.drv-0/build/src/tests/clutter/conform MALLOC_PERTURB_=106 LD_LIBRARY_PATH=/tmp/guix-build-mutter-46.8.drv-0/build/mtk/mtk:/tmp/guix-build-mutter-46.8.drv-0/build/cogl/cogl:/tmp/guix-build-mutter-46.8.drv-0/build/clutter/clutter:/tmp/guix-build-mutter-46.8.drv-0/build/cogl/cogl-pango:/tmp/guix-build-mutter-46.8.drv-0/build/src/tests:/tmp/guix-build-mutter-46.8.drv-0/build/src CLUTTER_ENABLE_DIAGNOSTIC=0 ASAN_OPTIONS=halt_on_error=1:abort_on_error=1:print_summary=1 UBSAN_OPTIONS=halt_on_error=1:abort_on_error=1:print_summary=1:print_stacktrace=1 G_ENABLE_DIAGNOSTIC=0 G_TEST_SRCDIR=/tmp/guix-build-mutter-46.8.drv-0/mutter-46.8/src/tests/clutter/conform MESON_TEST_ITERATION=1 GSETTINGS_SCHEMA_DIR=/tmp/guix-build-mutter-46.8.drv-0/build/data MSAN_OPTIONS=halt_on_error=1:abort_on_error=1:print_summary=1:print_stacktrace=1 /tmp/guix-build-mutter-46.8.drv-0/build/src/tests/clutter/conform/gesture
――――――――――――――――――――――――――――――――――――― ✀  ―――――――――――――――――――――――――――――――――――――
TAP version 14
# random seed: R02S3eb5f2f8c70caad43f58ce32b269a180
# GLib-GIO-DEBUG: _g_io_module_get_default: Found default implementation memory (GMemorySettingsBackend) for ‘gsettings-backend’
# libmutter-MESSAGE: Running Mutter Test (using mutter 46.8) as a Wayland display server
# GLib-GIO-DEBUG: Using cross-namespace EXTERNAL authentication (this will deadlock if server is GDBus < 2.73.3)
# libmutter-MESSAGE: Created surfaceless renderer without GPU
# GLib-GIO-DEBUG: _g_io_module_get_default: Found default implementation local (GLocalVfs) for ‘gio-vfs’
# libmutter-DEBUG: WL: loaded /gnu/store/6z3k3578w723ydpyqfprzprqy6jm60z9-egl-wayland-1.1.17/lib/libnvidia-egl-wayland.so.1:wl_eglstream_controller.
# libmutter-MESSAGE: Using Wayland display name 'mutter-test-display'
Window manager warning: Failed to set environment variable WAYLAND_DISPLAY for gnome-session: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Name "org.gnome.SessionManager" does not exist
# libmutter-MESSAGE: Added virtual monitor Meta-0
1..5
# Start of gesture tests
# libmutter-INFO: Acquired name org.gnome.Mutter.InputMapping
# libmutter-INFO: Acquired name org.gnome.Mutter.ServiceChannel
# GLib-GIO-DEBUG: GTask 0x237c940 (source object: 0x4ccda0, source tag: (nil)) finalized without ever returning (using g_task_return_*()). This potentially indicates a bug in the program.
# GLib-GIO-DEBUG: GTask 0x237a800 (source object: 0x4ccda0, source tag: (nil)) finalized without ever returning (using g_task_return_*()). This potentially indicates a bug in the program.
# GLib-GIO-DEBUG: GTask 0x2dae2b0 (source object: 0x4ccda0, source tag: (nil)) finalized without ever returning (using g_task_return_*()). This potentially indicates a bug in the program.
# GLib-GIO-DEBUG: GTask 0x2db00d0 (source object: 0x4ccda0, source tag: (nil)) finalized without ever returning (using g_task_return_*()). This potentially indicates a bug in the program.
ok 1 /gesture/disposed-while-active
# GLib-GIO-DEBUG: GTask 0x2dae2b0 (source object: 0x4ccda0, source tag: (nil)) finalized without ever returning (using g_task_return_*()). This potentially indicates a bug in the program.
# GLib-GIO-DEBUG: GTask 0x3069ab0 (source object: 0x4ccda0, source tag: (nil)) finalized without ever returning (using g_task_return_*()). This potentially indicates a bug in the program.
# GLib-GIO-DEBUG: GTask 0x3069ab0 (source object: 0x4ccda0, source tag: (nil)) finalized without ever returning (using g_task_return_*()). This potentially indicates a bug in the program.
# GLib-GIO-DEBUG: GTask 0x3069ab0 (source object: 0x4ccda0, source tag: (nil)) finalized without ever returning (using g_task_return_*()). This potentially indicates a bug in the program.
ok 2 /gesture/state-machine-move-to-waiting
# GLib-GIO-DEBUG: GTask 0x235cd20 (source object: 0x4ccda0, source tag: (nil)) finalized without ever returning (using g_task_return_*()). This potentially indicates a bug in the program.
not ok /gesture/state-machine-move-to-cancelled-while-possible - Clutter-Conform:ERROR:../mutter-46.8/src/tests/clutter/conform/gesture.c:214:gesture_state_machine_move_to_cancelled_while_possible: 'clutter_gesture_get_state (gesture) == CLUTTER_GESTURE_STATE_POSSIBLE' should be TRUE
Bail out!
**
Clutter-Conform:ERROR:../mutter-46.8/src/tests/clutter/conform/gesture.c:214:gesture_state_machine_move_to_cancelled_while_possible: 'clutter_gesture_get_state (gesture) == CLUTTER_GESTURE_STATE_POSSIBLE' should be TRUE
――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――
116/191 mutter:clutter+clutter/conform / gesture                                                       FAIL            0.73s   killed by signal 6 SIGABRT